(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@angular/flex-layout'), require('@angular/material'), require('@angular/material/tabs'), require('@ngx-docs/example'), require('@ngx-prism/core'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('@teamhive/angular-package-core', ['exports', '@angular/common', '@angular/core', '@angular/flex-layout', '@angular/material', '@angular/material/tabs', '@ngx-docs/example', '@ngx-prism/core', '@angular/platform-browser'], factory) :
    (global = global || self, factory((global.teamhive = global.teamhive || {}, global.teamhive['angular-package-core'] = {}), global.ng.common, global.ng.core, global.ng['flex-layout'], global.ng.material, global.ng.material.tabs, global.example, global.core$1, global.ng.platformBrowser));
}(this, function (exports, common, core, flexLayout, material, tabs, example, core$1, platformBrowser) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    var ExamplePageShellComponent = /** @class */ (function () {
        function ExamplePageShellComponent() {
            this.exampleTitle = 'Example';
            this.exampleSources = {};
            this.otherSources = [];
        }
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], ExamplePageShellComponent.prototype, "exampleTitle", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Object)
        ], ExamplePageShellComponent.prototype, "exampleSources", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Array)
        ], ExamplePageShellComponent.prototype, "otherSources", void 0);
        ExamplePageShellComponent = __decorate([
            core.Component({
                selector: 'app-example-page-shell',
                template: "<div\n    class=\"experimental-page\"\n    fxLayout.gt-md=\"row\"\n    fxLayout.lt-md=\"column\"\n    fxLayoutAlign=\"space-evenly stretch\"\n    fxLayoutAlign.lt-md=\"center\">\n    <div fxFlex.gt-sm=\"50\">\n        <ngx-docs-example\n            [title]=\"exampleTitle\"\n            [html]=\"exampleSources.html\"\n            [ts]=\"exampleSources.ts\"\n            [css]=\"exampleSources.css\">\n            <div class=\"body\">\n                <ng-content></ng-content>\n            </div>\n        </ngx-docs-example>\n    </div>\n    <source-tabs\n        title=\"Other files\"\n        [files]=\"otherSources\"\n        fxFlex.gt-sm=\"50\"></source-tabs>\n</div>\n",
                styles: [""]
            }),
            __metadata("design:paramtypes", [])
        ], ExamplePageShellComponent);
        return ExamplePageShellComponent;
    }());

    var SourceTabsComponent = /** @class */ (function () {
        function SourceTabsComponent() {
        }
        __decorate([
            core.Input(),
            __metadata("design:type", String)
        ], SourceTabsComponent.prototype, "title", void 0);
        __decorate([
            core.Input(),
            __metadata("design:type", Array)
        ], SourceTabsComponent.prototype, "files", void 0);
        SourceTabsComponent = __decorate([
            core.Component({
                selector: 'source-tabs',
                template: "<div class=\"ngx-docs-example\">\n  <div\n      class=\"ngx-docs-example-title\"\n      fxLayout=\"row\"\n      fxLayoutAlign=\"space-between center\">\n      <span\n          class=\"title\"\n          fxHide.xs\n          fxShow.sm-xl>\n          {{title}}\n      </span>\n      <button mat-button>\n          <mat-icon></mat-icon>\n      </button>\n  </div>\n  <div class=\"ngx-docs-example-source\">\n      <mat-tab-group>\n          <mat-tab\n              [label]=\"file.name\"\n              *ngFor=\"let file of files\">\n              <ngx-prism\n                  [language]=\"file.language\"\n                  [code]=\"file.content\">\n              </ngx-prism>\n          </mat-tab>\n      </mat-tab-group>\n  </div>\n</div>\n",
                changeDetection: core.ChangeDetectionStrategy.OnPush
            })
        ], SourceTabsComponent);
        return SourceTabsComponent;
    }());

    var AppComponents = [
        ExamplePageShellComponent,
        SourceTabsComponent
    ];

    var SafeHtmlPipe = /** @class */ (function () {
        function SafeHtmlPipe(_sanitizer) {
            this._sanitizer = _sanitizer;
        }
        SafeHtmlPipe.prototype.transform = function (value, args) {
            if (this._sanitizer) {
                return this._sanitizer.bypassSecurityTrustHtml(value);
            }
            else {
                return value;
            }
        };
        SafeHtmlPipe = __decorate([
            core.Pipe({ name: 'safeHtml' }),
            __metadata("design:paramtypes", [platformBrowser.DomSanitizer])
        ], SafeHtmlPipe);
        return SafeHtmlPipe;
    }());

    var TeamHivePackageCoreModule = /** @class */ (function () {
        function TeamHivePackageCoreModule() {
        }
        TeamHivePackageCoreModule_1 = TeamHivePackageCoreModule;
        TeamHivePackageCoreModule.forRoot = function () {
            return {
                ngModule: TeamHivePackageCoreModule_1,
                providers: []
            };
        };
        var TeamHivePackageCoreModule_1;
        TeamHivePackageCoreModule = TeamHivePackageCoreModule_1 = __decorate([
            core.NgModule({
                imports: [
                    common.CommonModule,
                    core$1.PrismModule,
                    tabs.MatTabsModule,
                    material.MatIconModule,
                    material.MatButtonModule,
                    flexLayout.FlexLayoutModule,
                    example.DocsExampleModule.forRoot(),
                ],
                entryComponents: [
                    SourceTabsComponent
                ],
                exports: [
                    SourceTabsComponent,
                    ExamplePageShellComponent,
                    common.CommonModule,
                    SafeHtmlPipe
                ],
                declarations: [
                    SourceTabsComponent,
                    ExamplePageShellComponent,
                    SafeHtmlPipe
                ]
            })
        ], TeamHivePackageCoreModule);
        return TeamHivePackageCoreModule;
    }());

    exports.AppComponents = AppComponents;
    exports.ExamplePageShellComponent = ExamplePageShellComponent;
    exports.SafeHtmlPipe = SafeHtmlPipe;
    exports.SourceTabsComponent = SourceTabsComponent;
    exports.TeamHivePackageCoreModule = TeamHivePackageCoreModule;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=teamhive-angular-package-core.umd.js.map
